## org.eclipse.jet.taglib
Class MarkerHelper

    java.lang.Object
      org.eclipse.jet.taglib.MarkerHelper

All Implemented Interfaces:
  IWriterListener

    public class MarkerHelper

extends java.lang.Object
implements IWriterListener

Helper for implementing task markers on writer output.

Method Summary
`static void` `createMarkerOnWriter(JET2Writer writer, int start, int end, java.lang.String description, TagInfo tagInfo, java.lang.String templatePath)`
`void` `finalizeContent(JET2Writer writer, java.lang.Object file)` Perform any finalization of the content in the writer.
`void` `postCommitContent(JET2Writer writer, java.lang.Object file)` Perform any post processing on the committed file based on content written.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### finalizeContent

    public void finalizeContent(JET2Writer writer,
                                java.lang.Object file)
                         throws JET2TagException

  Description copied from interface: `IWriterListener`
  Perform any finalization of the content in the writer.

  Specified by:
    `finalizeContent` in interface `IWriterListener`
  Parameters:
    `writer` - the writer in the process of being finalized
    `file` - a handle to object to which the content will ultimately be written. The standard JET2 Workspace tags pass an org.eclipse.core.resources.IFile, but other tags may pass objects of other types.
  Throws:
    `JET2TagException` - if the method cannot complete normally

### postCommitContent

    public void postCommitContent(JET2Writer writer,
                                  java.lang.Object file)
                           throws JET2TagException

  Description copied from interface: `IWriterListener`
  Perform any post processing on the committed file based on content written.

  Specified by:
    `postCommitContent` in interface `IWriterListener`
  Parameters:
    `writer` - the writer that provided the committed content.
    `file` - a handle to the object containing the comitted content. The standard JET2 Workspace tags pass an org.eclipse.core.resources.IFile, but other tags may pass objects of other types.
  Throws:
    `JET2TagException` - if method cannot complete normally.

### createMarkerOnWriter

    public static void createMarkerOnWriter(JET2Writer writer,
                                            int start,
                                            int end,
                                            java.lang.String description,
                                            TagInfo tagInfo,
                                            java.lang.String templatePath)

Copyright 2006 IBM Corporation and others. All Rights Reserved.